Questions tagged [glibc]

glibc is GNU's implementation of the Standard C library.

Filter by
Sorted by
Tagged with
3
votes
3answers
441 views

Performance of calling POSIX-specified functions versus direct Linux kernel calls

In an answer over on Stack Overflow, I provided a code sample to perform some small task referenced in the question. The original question had to do with the fastest-performing technique (so ...
1
vote
0answers
566 views

Version ‘GLIBCXX_3.4.20’ not found [closed]

I have installed VeraCrypt (Raspbian for Raspberry Pi ARMv7) on Western Digital My Cloud (runs ARMv7 processor). When I tried to execute the software, I got the following message: veracrypt: /usr/...
0
votes
1answer
300 views

Why is sigset_t in glibc/musl 128 bytes large on 64-bit Linux?

Why is sigset_t on 64-bit Linux 128 bytes large in glibc and musl? #include <signal.h> #include <stdio.h> int main() { printf("%zu\n", sizeof(sigset_t)); //prints 128 with both glibc ...
4
votes
2answers
314 views

Does kernel need to be compiled in same dev environment as userspace?

Lets say my userspace (packages) are compiled with gcc 4.7 and libc6 2.13 (Debian Wheezy) Can I compile linux kernel under different dev environment, such as gcc 6.3 and libc6 2.24 (ie, under Debian ...
1
vote
0answers
198 views

upgrading GNU libc (Debian Sid)

I'm running Debian/Sid/x86-64 on my desktop (mostly for development tasks). Current kernel is Debian 4.12.13 I'm quite interested by the latest features of GNU libc 2.26 The current libc on my ...
0
votes
2answers
791 views

Unable to run yum update

Trying to run yum update, and yum update google-chrome-stable but receiving this error. I am actually trying to install mssql tools, and I think it requires me to do this? Anyway I need to be able ...
1
vote
0answers
163 views

How to add variables to getconf?

According to the getconf man page: NAME getconf — get configuration values SYNOPSIS getconf [−v specification] system_var ... DESCRIPTION In the first synopsis form, ...
0
votes
1answer
278 views

Unable to load Debconf

I'm trying to upgrade libc on an old machine that runs Linux 2 but I get an error: (Reading database ... 7426 files and directories currently installed.) Preparing to replace libc6 2.2.5-11.8 (using ....
13
votes
4answers
1k views

uname is broken: how do I determine the currently running kernel?

> uname -r FATAL: kernel too old > cat /proc/cmdline FATAL: kernel too old There are 3 *.vmlinuz-linux files in /boot. How do I determine which kernel is currently running? Note that I'm ...
1
vote
1answer
2k views

difference between libc6-dev and libc6

libc6-dev:amd64 package in Debian contains all the common header files in C programming like stdio.h, ctype.h, time.h, etc. Am I correct that libc6:amd64, which is as far as I know required by ...
1
vote
1answer
872 views

glibc memory alloction : arenas and debugging

Recent versions of glibc ( from 2.12 ? ) have tunable MALLOC_ARENA_MAX and MALLOC_PER_THREAD. Questions : Is there any difference between MALLOC_PER_THREAD=0 and MALLOC_ARENA_MAX=1 ? Is ...
0
votes
1answer
398 views

How to perform argument parsing in C? [closed]

I am trying to write an utility that runs on linux Operating System. I am planning to develop it using C. I have lots of doubts striking me. I would like to ask some of it. Questions 1: How can I ...
1
vote
1answer
3k views

Installing Tensorflow on CentOS 6.9 (GCC, GLIBC, and binutils problem)

I have been having a tremendous trouble installing Tensorflow on CentOS 6.9. I tried to follow the instruction installing Tensorflow on CentOS using Anaconda3 (naturally for Python 3, Python 3.5.3 ...
1
vote
1answer
2k views

Problems running glibc 2.14 on RHEL6

I am trying to run the latest version of the Android SDK on an RHEL6 box. I am getting errors that I need GLIBC 2.14. So I installed GLIBC 2.14 in /opt/glibc-2.14. I have set the LD_LIBRARY_PATH=/...
2
votes
1answer
122 views

How to check whether a binary potentially accesses internet without running it?

Is there a reliable way to check whether a binary executable potentially tries to access the internet (e.g. to phone home) prior to running it? I guess that many binaries use ioctl / socket / connect ...
6
votes
1answer
5k views

Rpmdb checksum is invalid - Trying to install gcc in a CentOS 7.2 docker image

So I'm trying to create a Docker image that contains gcc. I'm running the command RUN yum -y install gcc within my Dockerfile. It downloads the package until it finally fails trying to install a ...
1
vote
0answers
908 views

Installation of glibc in my directory

Hi for the reason here, I would like to install glibc in my own directory. I tried to follow the "HOWTO" here wget http://ftp.gnu.org/gnu/libc/glibc-2.7.tar.gz tar xzvf glibc-2.7.tar.gz wget https:/...
1
vote
2answers
11k views

“ /lib64/libc.so.6: version `GLIBC_2.7' not found” Error when installation of R package

I met a problem when trying to install a R package called "GenomicFeatures", Error in dyn.load(file, DLLpath = DLLpath, ...) : unable to load shared object '$HOME/.R325/lib64/R/library/RCurl/libs/...
0
votes
2answers
650 views

CentOS 6 glibc Update issue

my centOS version is centos-release-6-6.el6.centos.12.2.x86_64 I have executed the following commands to extract and install glibc-2.15 tar zxvf glibc-2.14.tar.gz cd glibc-2.14 mkdir build cd build ...
0
votes
1answer
941 views

create new locale on centos 6

Last Night there was power failure and the system was shutdown. When system was stated in morning, PostgreSQL db server could not start. While looking at the pgstartup.log file, following lines were ...
4
votes
0answers
369 views

GNOME shell periodically crashing

I'm on a laptop running Arch Linux. As of a series of updates applied this morning, I've had some issues with GNOME crashing, and being reloaded, forcing me to log in again -- and while my tmux ...
1
vote
0answers
785 views

Applications reporting “Illegal instruction” after upgrading glibc

Background Info: Linux OS: Stripped down, minimalistic and very customized (no apt-get, yum, etc) Linux Kernel: 2.6.19.1 Current glibc version: 2.3.6 Target glibc version: 2.6.1 Issue: ...
1
vote
1answer
313 views

Compiling different kernel version

Are there any rules about what versions of the kernel you can successfully compile and run against a particular OS software base? That is, supposing I'm on Ubuntu 16.04, which includes some ...
1
vote
1answer
1k views

Different function offset for same libc version

This is for a pwnage challenge. I have two virtual machines. Both are running glibc 2.19. But, when I analyze the function offset in both, it is different in both of them. As per my knowledge, same ...
0
votes
1answer
2k views

LD_LIBRARY_PATH not working - centos

I try to set new location for Glibc but LD_LIBRARY_PATH not working. I followed the first answer here: How to update glibc to 2.14 in CentOS 6.5 And when I run the script at the end: [taviad@...
1
vote
2answers
83 views

Various shells won't run a binary that exists

I downloaded several pre-built binaries of the same program (nodejs-linux, -x86, -x86_64). In different shells I get a similar error that no such file or directory: node. The $PATH is correct and the ...
4
votes
2answers
288 views

Are keywords in resolv.conf case sensitive?

Looking around I have found out the following about /etc/resolv.conf valid formatting: Trailing whitespace is allowed Leading whitespace is NOT allowed DNS records are case insensitive, though you ...
2
votes
1answer
459 views

cp with reflink flag: how to determine if reflink is possible?

When I copy a file using reflink option, e.g., cp --reflink foo bar how and what stage in execution of cp determines if the underneath file system supports COW. I tried looking into coreutils/src/cp....
-1
votes
1answer
176 views

Compiling Firefox 50 under GLibc 2.12

I've successfully been able to configure the latest Firefox (source) without errors. All the required dependencies are in place (i.e. GCC 4.9.2 via devtoolset-3, Python 2.7, Yasm, libffi 3.2.1, and on)...
0
votes
1answer
542 views

AMD Catalyst 15.302 Build Failure on Ubuntu Server 14.04.05

I'm trying to install the proprietary drivers for my Radeon R9 Fury graphics card. The files are fglrx_15.302, etc., and I'm getting them from here at AMD Drivers: I'm installing on Ubuntu Server 14....
2
votes
0answers
469 views

Is it possible to recover from corrupted libc on Redhat?

I have created the following unfortunate situation. While trying to resolve this error when running a binary : /lib64/libc.so.6 : version 'GLIBC_2.15' not found Looking further I found that libc....
-2
votes
1answer
349 views

Compile new boost library on linux with ancient kernel

I try to compile the newest boost library (1.62.0) on a Linux system with kernel version 2.6.18-92.1.13.el5 (from uname -r), and 2016 intel c++ compiler using gcc 6.1.0. The new intel c++ compiler ...
4
votes
1answer
1k views

CentOS 7: enabling blowfish hashes for password authentication

In our organization, we are distributing pre-hashed password values for a number of local accounts. Currently, these accounts' passwords are hashed using Blowfish ($2a$[...]) or Blowfish-8-bit ($2y$[.....
2
votes
0answers
235 views

How to deal with “scriptlet failure in rpm package glibc” during upgrade to Fedora 24?

Actual message (from photo, not recorded in dnf system-upgrade log -1): Upgrading : glibc-2.23.1-18.fc24.x86_64 28/4874 warning: %trigger(cronie-1.4.12-1.fc21.x86_64) scriptlet failed, exit status ...
4
votes
0answers
188 views

Highest version of glibc working on actual 386 hardware

I need to build a working minimal Linux environment that will run on ACTUAL 386 class hardware. I know that I have to use kernel <3.8, which is not a problem. The issue is with glibc, as it seems ...
6
votes
1answer
849 views

Why doesn't unsetenv() modify /proc/pid/environ?

I was just looking at this question and wrote a noddy program to demonstrate unsetenv() modifying /proc/pid/environ. To my surprise it has no effect! Here's what I did: #include <stdio.h> #...
2
votes
2answers
487 views

LFS: What is the toolchain and why is it important?

I'm going through Linux from Scratch and I'm on the page that discusses the toolchain. Up until this point I've understood everything, but I don't understand the term "toolchain". From what I've read ...
2
votes
1answer
147 views

Redhat and Centos servers glibc errors

Please forgive if I am not wording this correctly and my current lack of information, but I am losing my mind trying to figure this out and I am not currently behind the servers in question. I have ...
0
votes
1answer
821 views

Running C++11 library with older libc

I have written a shared library using C++11 features, compiled with gcc 4.8, libc 2.18, which needs to be run on a client's CentOS 6 machine, which has gcc 4.4.7, libc 2.12. There are some symbols in ...
0
votes
1answer
275 views

Constraints on gcc / glibc versions between build and run

Probably a basic question but I did not manage to find a clear answer to it: Let's say I am compiling a code (with some parts in C) on a build server and run it on a different server. The build ...
1
vote
1answer
513 views

Compiling Apache with another glibc version

My system has an old glibc version. I compiled the new version [2.23] into /FaF/glibc. Due to the fact the new glibc version is not compatible with SLES 11 SP2 & SP3 I have to use the linker ...
0
votes
1answer
1k views

Updating glibc to 2.21 on CentOS

I need to install MySQL 5.6 on a CentOS box. I found what seemed to be a simple tutorial, but the first command (sudo yum install my-sql-community-server) resulted in this group of errors: I ran yum ...
3
votes
1answer
3k views

What would suddenly cause programs to read /etc/ld.so.preload when they start up?

Apparmor enforcement messages have begun appearing in the syslog of a Trisquel 7 machine. The affected programs requested open of the file /etc/ld.so.preload, in read mode and were denied by apparmor ...
2
votes
1answer
12k views

can not install mysql-server on centos 6.7 32bit . Error: need rpm?

when I try to install mysql-server on centos with this command: yum install mysql-server server replies: Loaded plugins: fastestmirror, security Setting up Install Process Loading mirror speeds ...
0
votes
2answers
135 views

How can I compile a more compact glibc?

While trying to create an x86-64 appliance, I naturally wanted to compile glibc 2.23. I managed to do so through mkdir build cd build ../configure --enable-kernel=2.6.32 --with-headers=/path/to/...
6
votes
1answer
8k views

Locally-installing glibc-2.23 causes all programs to segfault

I'm trying to upgrade glibc on a system on which I do not have root access. Therefore, I'm installing to a local prefix. I would like some help understanding best practices for setting this up, as ...
1
vote
0answers
1k views

yum update glibc - ERROR with rpm_check_debug vs depsolve:

I want to update my system with yum update but I get only errors starting with these two lines: Running rpm_check_debug ERROR with rpm_check_debug vs depsolve: Then, I tried only to update the ...
2
votes
4answers
1k views

Is Chromium OS a GNU/Linux distro?

I want to ask, if Chromium OS is a GNU/Linux distribution or is it a non-GNU Linux-based operating system like Android, webOS or Syllable Server. Does Chromium OS use GNU C Library, GNU coreutils etc.,...
3
votes
1answer
219 views

Glibc Patch for getaddrinfo() vulnerability

I have been seeing a lot about the newly discovered vulnerability in the glibc library which can be exploited (albeit with difficulty) by attackers. Here is a (fire and brimstone) article on the ...
5
votes
1answer
220 views

Debian wheezy updates broke tr command [closed]

After I updated the following packages yesterday in debian wheezy, tr command stop working. Start-Date: 2016-02-16 23:10:06 Commandline: apt-get dist-upgrade Upgrade: libkrb5-3:amd64 (1.10.1+dfsg-5+...